2 Replies Latest reply: Oct 3, 2012 6:48 AM by kristievf
molly817 Level 1 Level 1 (0 points)

i had to uninstall itunes from my Mac os x 10.6.5 but now i can't install the newest itunes because it requires a later version, 10.7. What do i do now?


MacBook Pro, Mac OS X (10.6.5)